---
updatedAt: 2026-10-01T07:06:13.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/v2.2.2/llms.txt
---

# View payments

This endpoint is deprecated and no longer returns any payments — it always responds with an empty collection. Use the same endpoint in v20240412 (v3.0.0) instead to access payment data. See https://docs.nexhealth.com/v20240412/reference/payments for the updated docs.

> 🚧 Use our latest version to access this data
>
> Payments are no longer supported in v2.2. Please use the same endpoint in v3.0.0 (v20240412) to access this data.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v2.2.2 (Deprecated)",
    "description": "> **⚠️ Deprecated.** v2.2.2 is the legacy version of the NexHealth API and is deprecated; new development should target v3.0.0 (also known by its original date-based name v20240412). Our migration guide walks through every breaking change: https://docs.nexhealth.com/v20240412/docs/api-v2-to-v20240412-migration-guide\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v2"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Payments",
      "description": "Payments resources to view and create payments"
    }
  ],
  "paths": {
    "/payments": {
      "get": {
        "summary": "View payments",
        "description": "This endpoint is deprecated and no longer returns any payments — it always responds with an empty collection. Use the same endpoint in v20240412 (v3.0.0) instead to access payment data. See https://docs.nexhealth.com/v20240412/reference/payments for the updated docs.",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v2"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "location_id",
            "description": "Used to scope the request to the specified location",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "patient_id",
            "description": "Filter by patient",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "provider_id",
            "description": "Filter by provider",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "procedure_id",
            "description": "Filter by procedure",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "in": "query",
            "name": "page",
            "description": "Page number. Starts with page 1",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "in": "query",
            "name": "per_page",
            "description": "Number of results to return per page. Defaults is 5 per page and Max 300 per page",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 5
            }
          },
          {
            "in": "query",
            "name": "include[]",
            "description": "Resources to be included in the response",
            "required": false,
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "patient",
                  "provider",
                  "procedure"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_V2_Entities_Ledger_Payment_Collection_Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Payments"
        ],
        "operationId": "getPayments"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_V2_Entities_Price": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "string",
            "example": "62.00",
            "description": "The currency value, in whole units (e.g. dollars)"
          },
          "currency": {
            "type": "string",
            "example": "USD",
            "description": "The ISO currency code"
          }
        }
      },
      "API_V2_Entities_PatientBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 415,
            "description": "User id"
          },
          "email": {
            "type": "string",
            "example": "Amy.Ramos@nexhealth.com",
            "description": "User email",
            "nullable": true
          },
          "first_name": {
            "type": "string",
            "example": "John",
            "description": "First name"
          },
          "middle_name": {
            "type": "string",
            "example": "Anthony",
            "description": "Middle name",
            "nullable": true
          },
          "last_name": {
            "type": "string",
            "example": "Smith",
            "description": "Last name"
          },
          "name": {
            "type": "string",
            "example": "John Smith",
            "description": "Full name"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User creation date in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User last updation date in UTC"
          },
          "institution_id": {
            "type": "integer",
            "format": "int32",
            "example": 105,
            "description": "The institution this user belongs to"
          },
          "foreign_id": {
            "type": "string",
            "example": "100437",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "foreign_id_type": {
            "type": "string",
            "example": "--DataSource-",
            "description": "Foreign Id type is a unique string identifier for the integrated system"
          },
          "bio": {
            "type": "object",
            "example": {
              "city": "New York",
              "state": "NY",
              "gender": "Female",
              "zip_code": "20814",
              "new_patient": false,
              "non_patient": true,
              "phone_number": "5163042196",
              "date_of_birth": "1964-05-03",
              "address_line_1": "",
              "address_line_2": "",
              "street_address": "",
              "cell_phone_number": "",
              "home_phone_number": "",
              "work_phone_number": ""
            },
            "description": "Patient biographical data, fields shown in our example response represent all possible data we retrieve but depending on system and what is actually saved in the health records system you cannot assume any field will consistently be returned"
          },
          "inactive": {
            "type": "boolean",
            "example": false,
            "description": "Is the user inactivated?"
          },
          "last_sync_time": {
            "type": "string",
            "format": "date-time",
            "example": "2024-04-12T10:30:00Z",
            "description": "The most recent time the resource's data changed meaningfully at the source",
            "nullable": true
          },
          "guarantor_id": {
            "type": "integer",
            "format": "int32",
            "example": 472,
            "description": "User id of this patient's responsible party",
            "nullable": true
          },
          "billing_type": {
            "type": "string",
            "example": "Standard Billing - finance charges",
            "description": "Used by practices in some integrated systems to categorize and filter patients when creating reports, requesting payments, and performing other related office tasks. Some integrated systems call this an account type rather than a billing type",
            "nullable": true
          },
          "chart_id": {
            "type": "string",
            "example": "017407",
            "description": "User-facing ID for referencing patient data, used in some integrated systems. Depending on the system, the chart ID supplements or replaces the foreign_id as the ID visible to EHR users",
            "nullable": true
          },
          "preferred_language": {
            "type": "string",
            "example": "es",
            "description": "Patient's preferred language as an ISO 639-1 code, if specified in the integrated system",
            "nullable": true
          },
          "preferred_locale": {
            "type": "string",
            "example": "es",
            "description": "The patient's preferred language setting used for displaying NexHealth forms and communications",
            "nullable": true
          },
          "location_ids": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int32"
            },
            "example": [
              101,
              102,
              103
            ],
            "description": "Array of location ids associated with the user"
          }
        }
      },
      "API_V2_Entities_Provider": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 415,
            "description": "User id"
          },
          "email": {
            "type": "string",
            "example": "Amy.Ramos@nexhealth.com",
            "description": "User email",
            "nullable": true
          },
          "first_name": {
            "type": "string",
            "example": "John",
            "description": "First name"
          },
          "middle_name": {
            "type": "string",
            "example": "Anthony",
            "description": "Middle name",
            "nullable": true
          },
          "last_name": {
            "type": "string",
            "example": "Smith",
            "description": "Last name"
          },
          "name": {
            "type": "string",
            "example": "John Smith",
            "description": "Full name"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User creation date in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User last updation date in UTC"
          },
          "institution_id": {
            "type": "integer",
            "format": "int32",
            "example": 105,
            "description": "The institution this user belongs to"
          },
          "foreign_id": {
            "type": "string",
            "example": "100437",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "foreign_id_type": {
            "type": "string",
            "example": "--DataSource-",
            "description": "Foreign Id type is a unique string identifier for the integrated system"
          },
          "bio": {
            "type": "object",
            "example": {
              "city": "New York",
              "state": "NY",
              "gender": "Female",
              "zip_code": "20814",
              "new_patient": false,
              "non_patient": true,
              "phone_number": "5163042196",
              "date_of_birth": "1964-05-03",
              "address_line_1": "",
              "address_line_2": "",
              "street_address": "",
              "cell_phone_number": "",
              "home_phone_number": "",
              "work_phone_number": ""
            },
            "description": "Patient biographical data, fields shown in our example response represent all possible data we retrieve but depending on system and what is actually saved in the health records system you cannot assume any field will consistently be returned"
          },
          "inactive": {
            "type": "boolean",
            "example": false,
            "description": "Is the user inactivated?"
          },
          "last_sync_time": {
            "type": "string",
            "format": "date-time",
            "example": "2024-04-12T10:30:00Z",
            "description": "The most recent time the resource's data changed meaningfully at the source",
            "nullable": true
          },
          "display_name": {
            "type": "string",
            "example": "John Smith",
            "description": "Display name"
          },
          "npi": {
            "type": "string",
            "example": "1912507500",
            "description": "National Provider Identifier as registered in NPPES. May be null if the practice did not enter it into the integrated system."
          },
          "tin": {
            "type": "string",
            "example": "078051120",
            "description": "Taxpayer Identification Number (SSN or ITIN). May be null if the practice did not enter it into the integrated system."
          },
          "state_license": {
            "type": "string",
            "example": "R219935",
            "description": "State license number. May be null if the practice did not enter it into the integrated system."
          },
          "specialty_code": {
            "type": "string",
            "example": "363L00000X",
            "description": "Specialty code corresponding to the provider's state license and NPI. May be null if the practice did not enter it into the integrated system."
          }
        }
      },
      "API_V2_Entities_Procedure": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 11,
            "description": "Procedure id"
          },
          "location_id": {
            "type": "integer",
            "format": "int32",
            "example": 21,
            "description": "Location id",
            "nullable": true
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 162,
            "description": "Patient id",
            "nullable": true
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 84,
            "description": "Provider id",
            "nullable": true
          },
          "appointment_id": {
            "type": "integer",
            "format": "int64",
            "example": 283,
            "description": "Appointment id. Null when the procedure is not attached to an appointment",
            "nullable": true
          },
          "code": {
            "type": "string",
            "example": "D6100",
            "description": "Procedure code",
            "nullable": true
          },
          "name": {
            "type": "string",
            "example": "Implant Removal",
            "description": "Procedure name",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "planned",
              "scheduled",
              "completed",
              "inactive",
              "referred",
              "existing"
            ],
            "example": "completed",
            "description": "Procedure status",
            "nullable": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Procedure update date in UTC"
          },
          "body_site": {
            "$ref": "#/components/schemas/API_V2_Entities_ProcedureBodySite"
          },
          "fee": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "start_date": {
            "type": "string",
            "format": "date",
            "example": "2022-06-24",
            "description": "Start date for procedure",
            "nullable": true
          },
          "end_date": {
            "type": "string",
            "format": "date",
            "example": "2022-06-24",
            "description": "End date for procedure",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_ProcedureBodySite": {
        "type": "object",
        "properties": {
          "tooth": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "3",
              "14"
            ],
            "description": "Tooth identifier strings, typically tooth numbers"
          },
          "surface": {
            "type": "string",
            "example": "MOD",
            "description": "Tooth surface codes"
          }
        }
      },
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_V2_Entities_Ledger_Payment_Collection_Response": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Ledger_Payment"
            }
          },
          "count": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "Number of total objects, in case of collection."
          }
        },
        "description": "API_V2_Entities_Ledger_Payment_Collection_Response model"
      },
      "API_V2_Entities_Ledger_Payment": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 113,
            "description": "Resource id"
          },
          "value": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "The ID of the patient that this item is for"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "The ID of the provider that this item is for"
          },
          "procedure_id": {
            "type": "integer",
            "format": "int64",
            "example": 42,
            "description": "The ID of the procedure that this item is for"
          },
          "date": {
            "type": "string",
            "format": "date",
            "example": "2020-06-05",
            "description": "The date of this line item as it appears in the EHR"
          },
          "notes": {
            "type": "string",
            "description": "Notes attached to this item"
          },
          "patient": {
            "$ref": "#/components/schemas/API_V2_Entities_PatientBasic"
          },
          "provider": {
            "$ref": "#/components/schemas/API_V2_Entities_Provider"
          },
          "procedure": {
            "$ref": "#/components/schemas/API_V2_Entities_Procedure"
          }
        }
      }
    }
  }
}
```